summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Lehtonen <markus.lehtonen@linux.intel.com>2016-08-19 13:48:58 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-08-25 23:03:48 +0100
commitdc3025215bbdcfce9ab08ba621335f6feabe5097 (patch)
treee17077c6735139248a303430f8873a2c7d0c3af3
parent7155a9b64d859962b66e338703ff83e1a5040b32 (diff)
downloadopenembedded-core-contrib-dc3025215bbdcfce9ab08ba621335f6feabe5097.tar.gz
openembedded-core-contrib-dc3025215bbdcfce9ab08ba621335f6feabe5097.tar.bz2
openembedded-core-contrib-dc3025215bbdcfce9ab08ba621335f6feabe5097.zip
build-perf-test-wrapper.sh: parse args with getopts
Use getopts for parsing the command line. This changes the usage so that if a commit (to-be-tested) is defined it must be given by using '-c', instead of a positional argument. (From OE-Core rev: b1f77ba41033397a2b25977963682b86f2f76471) Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-xscripts/contrib/build-perf-test-wrapper.sh30
1 files changed, 23 insertions, 7 deletions
diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index e8e8021d58..8eb4fdbc6c 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -20,17 +20,33 @@
script=`basename $0`
usage () {
- echo "Usage: $script [COMMITISH]"
+cat << EOF
+Usage: $script [-h] [-c COMMITISH] [-C GIT_REPO]
+
+Optional arguments:
+ -h show this help and exit.
+ -c COMMITISH test (checkout) this commit
+EOF
}
-if [ $# -gt 1 ]; then
- usage
- exit 1
-fi
-commitish=$1
-echo "Running on `uname -n`"
+# Parse command line arguments
+commitish=""
+while getopts "hc:" opt; do
+ case $opt in
+ h) usage
+ exit 0
+ ;;
+ c) commitish=$OPTARG
+ ;;
+ *) usage
+ exit 1
+ ;;
+ esac
+done
+
+echo "Running on `uname -n`"
if ! git_topdir=$(git rev-parse --show-toplevel); then
echo "The current working dir doesn't seem to be a git clone. Please cd there before running `basename $0`"
exit 1